[arch-dev-public] [arch-general] Azureus

Jan de Groot jan at jgc.homeip.net
Sat Apr 12 07:48:58 EDT 2008

On Fri, 2008-04-11 at 20:24 -0500, Simo Leone wrote:
> On Fri, Apr 11, 2008 at 04:59:07PM -0500, Aaron Griffin wrote:
> > 2008/4/11 Ondřej Kučera <ondrej.kucera at centrum.cz>:
> > 
> > Interesting point. I checked up on it and it IS orphaned.
> > I'll CC the dev list to see if anyone is interested in it. If not,
> > then perhaps it would be best to move it to community.
> This might be a good time to bring this up. I don't know. It used to be
> my package, and easy to deal with at that. But at some point someone
> went through and added nine patches removing support for things like osx
> and other junk, so I figured they probably wanted to maintain it and
> orphaned it. Guess not.
> Another change that was made was to make it compile from source...
> Now, Azureus is a java package, compiling it ourselves is of no benefit
> whatsoever since java uses a virtual machine.
> I'm willing to update it again, but is it ok with everyone if I don't
> compile it from source, or is there something I'm missing?
> -S

I could update it again. The reason for patching it during froscon was
that upstream azureus doesn't work with GNU java. Another thing was that
the jarfile contains a lot of Windows and Mac OS X related things, the
update manager doesn't work happily together with pacman packages and
the upstream distribution contains either outdated copies of libraries
where we have packages for, or just references to outdated copies that
are incompatible with our installed versions.

I had a look at the source, I can reduce some patches, as most are not
needed anymore. Back then, I wrote two patches to remove some com.sun.*
usage, they don't apply anymore and I have to check if they're still
needed and if so, rewrite them.

Another thing I stumbled on were the dependencies:

That's what gentoo lists as dependencies (there's no clear reference of
dependencies in the upstream source at all... just compile errors with
weird missing references when you don't have these installed).

-bcprov is packaged
-commons-cli isn't
-neither is log4j
-swt is at 3.3.x

Azureus needs swt 3.4 development version (3.4M6 is current). If we don't want to
update swt to the development version, we're tied to the much older release, which needs some additional patches to compile from

More information about the arch-dev-public mailing list